<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelNode Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelNode Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelNode" --><!-- doxytag: inherits="iBase" -->
<p>Interface for CEL Node.  
 <a href="structiCelNode.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celgraph_8h_source.html">tools/celgraph.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelNode:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelNode.png" usemap="#iCelNode_map" alt=""/>
  <map id="iCelNode_map" name="iCelNode_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,64,24"/>
</map>
 </div></div>

<p><a href="structiCelNode-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#a970c46a4c3d66aaed8b91df08745ab93">AddSuccessor</a> (<a class="el" href="structiCelNode.html">iCelNode</a> *node, bool state)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a successor to this node (This will create a new edge).  <a href="#a970c46a4c3d66aaed8b91df08745ab93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#acbcbb8b19aba5f5fabd840a696b1c040">AddSuccessor</a> (<a class="el" href="structiCelNode.html">iCelNode</a> *node, bool state, float weight)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a successor to this node, using a weight different then the euclidean distance between the two nodes (This will create a new edge).  <a href="#acbcbb8b19aba5f5fabd840a696b1c040"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html">csArray</a>&lt; <a class="el" href="structiCelNode.html">iCelNode</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#ab0c0134912fee583b7511e3ef4c1604f">GetAllSuccessors</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get all successors to this node.  <a href="#ab0c0134912fee583b7511e3ef4c1604f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#af09ce2e68da75e551f8dbef18356cdaa">GetCost</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get stored cost.  <a href="#af09ce2e68da75e551f8dbef18356cdaa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelEdge.html">iCelEdge</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#aa690277dc572194f16430bc4a033289f">GetEdge</a> (size_t idx)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a node by index.  <a href="#aa690277dc572194f16430bc4a033289f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#a354fe0599f7ff32bdc6e067c9163c393">GetEdgeCount</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Number of Edges.  <a href="#a354fe0599f7ff32bdc6e067c9163c393"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRefArray.html">csRefArray</a>&lt; <a class="el" href="structiCelEdge.html">iCelEdge</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#a5e0fa0fbea575e5ccb09a10ab6f7a2c0">GetEdges</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get edges.  <a href="#a5e0fa0fbea575e5ccb09a10ab6f7a2c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#a90f7ecacf896d1e63a231fb9548a87d7">GetHeuristic</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get stored heuristic.  <a href="#a90f7ecacf896d1e63a231fb9548a87d7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#af032a71f107ba224be1749d486ab3563">GetMapNode</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get MapNode of this node.  <a href="#af032a71f107ba224be1749d486ab3563"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#ae51649e2d781837b3143c39fb8dd7132">GetName</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get name of this node.  <a href="#ae51649e2d781837b3143c39fb8dd7132"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelNode.html">iCelNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#aaf3f6fd45f73f16a7aa6e3aa36069ae0">GetParent</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Parent to this node.  <a href="#aaf3f6fd45f73f16a7aa6e3aa36069ae0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#aaf72f206c2cff97ee759c8df4c1a8ec2">GetPosition</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get position of this node.  <a href="#aaf72f206c2cff97ee759c8df4c1a8ec2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html">csArray</a>&lt; <a class="el" href="structiCelNode.html">iCelNode</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#adcad71245fa3a046277e12f8120624a2">GetSuccessors</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reachable successors to this node.  <a href="#adcad71245fa3a046277e12f8120624a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#a4f738c572ceec0a0759dfe48501ae7cd">Heuristic</a> (float cost, <a class="el" href="structiCelNode.html">iCelNode</a> *goal)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates euclidean distance between this node and goal.  <a href="#a4f738c572ceec0a0759dfe48501ae7cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#a4be988f20eef89b5550f499bf9ebcd59">RemoveEdge</a> (size_t idx)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove an edge.  <a href="#a4be988f20eef89b5550f499bf9ebcd59"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#a282e2ec1e00db0ee9cd3af406ffc05d1">SetMapNode</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets mapnode of this node.  <a href="#a282e2ec1e00db0ee9cd3af406ffc05d1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#ad333348286e33007aca1b530bf0f92a8">SetName</a> (const char *par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates euclidean distance between this node and goal.  <a href="#ad333348286e33007aca1b530bf0f92a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNode.html#a8bc10ec59a1660953c7df7ae64a9332a">SetParent</a> (<a class="el" href="structiCelNode.html">iCelNode</a> *par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets parent to this node.  <a href="#a8bc10ec59a1660953c7df7ae64a9332a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Interface for CEL Node. </p>

<p>Definition at line <a class="el" href="celgraph_8h_source.html#l00069">69</a> of file <a class="el" href="celgraph_8h_source.html">celgraph.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a970c46a4c3d66aaed8b91df08745ab93"></a><!-- doxytag: member="iCelNode::AddSuccessor" ref="a970c46a4c3d66aaed8b91df08745ab93" args="(iCelNode *node, bool state)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelNode.html#a970c46a4c3d66aaed8b91df08745ab93">iCelNode::AddSuccessor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelNode.html">iCelNode</a> *&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a successor to this node (This will create a new edge). </p>

</div>
</div>
<a class="anchor" id="acbcbb8b19aba5f5fabd840a696b1c040"></a><!-- doxytag: member="iCelNode::AddSuccessor" ref="acbcbb8b19aba5f5fabd840a696b1c040" args="(iCelNode *node, bool state, float weight)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelNode.html#a970c46a4c3d66aaed8b91df08745ab93">iCelNode::AddSuccessor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelNode.html">iCelNode</a> *&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>weight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a successor to this node, using a weight different then the euclidean distance between the two nodes (This will create a new edge). </p>

</div>
</div>
<a class="anchor" id="ab0c0134912fee583b7511e3ef4c1604f"></a><!-- doxytag: member="iCelNode::GetAllSuccessors" ref="ab0c0134912fee583b7511e3ef4c1604f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html">csArray</a>&lt;<a class="el" href="structiCelNode.html">iCelNode</a>*&gt; <a class="el" href="structiCelNode.html#ab0c0134912fee583b7511e3ef4c1604f">iCelNode::GetAllSuccessors</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get all successors to this node. </p>

</div>
</div>
<a class="anchor" id="af09ce2e68da75e551f8dbef18356cdaa"></a><!-- doxytag: member="iCelNode::GetCost" ref="af09ce2e68da75e551f8dbef18356cdaa" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNode.html#af09ce2e68da75e551f8dbef18356cdaa">iCelNode::GetCost</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get stored cost. </p>

</div>
</div>
<a class="anchor" id="aa690277dc572194f16430bc4a033289f"></a><!-- doxytag: member="iCelNode::GetEdge" ref="aa690277dc572194f16430bc4a033289f" args="(size_t idx)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelEdge.html">iCelEdge</a>* <a class="el" href="structiCelNode.html#aa690277dc572194f16430bc4a033289f">iCelNode::GetEdge</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a node by index. </p>

</div>
</div>
<a class="anchor" id="a354fe0599f7ff32bdc6e067c9163c393"></a><!-- doxytag: member="iCelNode::GetEdgeCount" ref="a354fe0599f7ff32bdc6e067c9163c393" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelNode.html#a354fe0599f7ff32bdc6e067c9163c393">iCelNode::GetEdgeCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get Number of Edges. </p>

</div>
</div>
<a class="anchor" id="a5e0fa0fbea575e5ccb09a10ab6f7a2c0"></a><!-- doxytag: member="iCelNode::GetEdges" ref="a5e0fa0fbea575e5ccb09a10ab6f7a2c0" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRefArray.html">csRefArray</a>&lt;<a class="el" href="structiCelEdge.html">iCelEdge</a>&gt; <a class="el" href="structiCelNode.html#a5e0fa0fbea575e5ccb09a10ab6f7a2c0">iCelNode::GetEdges</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get edges. </p>

</div>
</div>
<a class="anchor" id="a90f7ecacf896d1e63a231fb9548a87d7"></a><!-- doxytag: member="iCelNode::GetHeuristic" ref="a90f7ecacf896d1e63a231fb9548a87d7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNode.html#a90f7ecacf896d1e63a231fb9548a87d7">iCelNode::GetHeuristic</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get stored heuristic. </p>

</div>
</div>
<a class="anchor" id="af032a71f107ba224be1749d486ab3563"></a><!-- doxytag: member="iCelNode::GetMapNode" ref="af032a71f107ba224be1749d486ab3563" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelNode.html#af032a71f107ba224be1749d486ab3563">iCelNode::GetMapNode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get MapNode of this node. </p>

</div>
</div>
<a class="anchor" id="ae51649e2d781837b3143c39fb8dd7132"></a><!-- doxytag: member="iCelNode::GetName" ref="ae51649e2d781837b3143c39fb8dd7132" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelNode.html#ae51649e2d781837b3143c39fb8dd7132">iCelNode::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get name of this node. </p>

</div>
</div>
<a class="anchor" id="aaf3f6fd45f73f16a7aa6e3aa36069ae0"></a><!-- doxytag: member="iCelNode::GetParent" ref="aaf3f6fd45f73f16a7aa6e3aa36069ae0" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelNode.html">iCelNode</a>* <a class="el" href="structiCelNode.html#aaf3f6fd45f73f16a7aa6e3aa36069ae0">iCelNode::GetParent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get Parent to this node. </p>

</div>
</div>
<a class="anchor" id="aaf72f206c2cff97ee759c8df4c1a8ec2"></a><!-- doxytag: member="iCelNode::GetPosition" ref="aaf72f206c2cff97ee759c8df4c1a8ec2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiCelNode.html#aaf72f206c2cff97ee759c8df4c1a8ec2">iCelNode::GetPosition</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get position of this node. </p>

</div>
</div>
<a class="anchor" id="adcad71245fa3a046277e12f8120624a2"></a><!-- doxytag: member="iCelNode::GetSuccessors" ref="adcad71245fa3a046277e12f8120624a2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html">csArray</a>&lt;<a class="el" href="structiCelNode.html">iCelNode</a>*&gt; <a class="el" href="structiCelNode.html#adcad71245fa3a046277e12f8120624a2">iCelNode::GetSuccessors</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get reachable successors to this node. </p>

</div>
</div>
<a class="anchor" id="a4f738c572ceec0a0759dfe48501ae7cd"></a><!-- doxytag: member="iCelNode::Heuristic" ref="a4f738c572ceec0a0759dfe48501ae7cd" args="(float cost, iCelNode *goal)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNode.html#a4f738c572ceec0a0759dfe48501ae7cd">iCelNode::Heuristic</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>cost</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelNode.html">iCelNode</a> *&#160;</td>
          <td class="paramname"><em>goal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Calculates euclidean distance between this node and goal. </p>

</div>
</div>
<a class="anchor" id="a4be988f20eef89b5550f499bf9ebcd59"></a><!-- doxytag: member="iCelNode::RemoveEdge" ref="a4be988f20eef89b5550f499bf9ebcd59" args="(size_t idx)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNode.html#a4be988f20eef89b5550f499bf9ebcd59">iCelNode::RemoveEdge</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove an edge. </p>

</div>
</div>
<a class="anchor" id="a282e2ec1e00db0ee9cd3af406ffc05d1"></a><!-- doxytag: member="iCelNode::SetMapNode" ref="a282e2ec1e00db0ee9cd3af406ffc05d1" args="(iMapNode *node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNode.html#a282e2ec1e00db0ee9cd3af406ffc05d1">iCelNode::SetMapNode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets mapnode of this node. </p>

</div>
</div>
<a class="anchor" id="ad333348286e33007aca1b530bf0f92a8"></a><!-- doxytag: member="iCelNode::SetName" ref="ad333348286e33007aca1b530bf0f92a8" args="(const char *par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNode.html#ad333348286e33007aca1b530bf0f92a8">iCelNode::SetName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>par</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Calculates euclidean distance between this node and goal. </p>

</div>
</div>
<a class="anchor" id="a8bc10ec59a1660953c7df7ae64a9332a"></a><!-- doxytag: member="iCelNode::SetParent" ref="a8bc10ec59a1660953c7df7ae64a9332a" args="(iCelNode *par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNode.html#a8bc10ec59a1660953c7df7ae64a9332a">iCelNode::SetParent</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelNode.html">iCelNode</a> *&#160;</td>
          <td class="paramname"><em>par</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets parent to this node. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celgraph_8h_source.html">celgraph.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
